//////////////////////////////////////////////////////////////////////////////
//
// File: parser.h
//
// Interface to parser-class

#ifndef PARSER_H
#define PARSER_H 

#include "expr.h"
#include "scanner.h"
#include <iostream>

class Parser {
	public:
		Parser(istream& input, ostream& output): in(input), out(output) {}
		bool commandP();
  
	private:
		Scanner Sc;
		Token curTok;
		Enviroment env;
		ostream& out;
		istream& in;

		void nextTok();
		void tokenP(Token t);
		pXpr metaX();
		pXpr prsE0();
		pXpr prsE1();
		pXpr prsE2();
		pXpr prsE3();
		pXpr prsE4();
		pXpr prsE5();
		pXpr prsE56();
		pXpr prsE6();
};

#endif














